Bug 1274952 - not copying exclusions
not copying exclusions
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-23 23:00 EDT by Richard Jasmin
Modified: 2015-10-30 08:47 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-30 08:47:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
my OS kickstart-21-22 with multiple DEs (40.05 KB, text/plain)
2015-10-30 03:41 EDT, Richard Jasmin
no flags Details

  None (edit)
Description Richard Jasmin 2015-10-23 23:00:44 EDT
Description of problem:
repo data specified for exclusion is not getting copied into the actual installed system.Goes hand in hand with bug concerning repo data not getting copied over for other than fedora repos.

Although the install medium installs and spins accordingly, the installed system has no exclusions.

For example, Tor and korora. Tor repo can NEVER  be superseded by the updates section, but because of this failure to exclude, this is however possible.Korora bug is similar because of the fact it overwrites the installer files (and branding) if the repo gets used. To avoid that, I just pull files and dont use the repo.This of course requires the keys to use the packages.

With Tor you simply cant do this. Sources other than official from the Tor Project are considered unwise to use due to security concerns.So the question then becomes who is doing this and why are they trying to supersede the Tor Project maintainers?

Either someone needs to drop support for tor, or the official repo and pages needs to point to the fedora one.I vote for the first.Let the maintainers maintain. Tor Project maintains thier own official repo.

You could pin as well, but exclusion seems to accomplish the task at hand. The repo files now need to be hand modified before use because of this issue. 

Version-Release number of selected component (if applicable):
noticed in 22, potentially 21 and above

How reproducible:
post install

Steps to Reproduce:
1.install fedora (excluding packages and /or using non-free repos)
2.try to update (as of Oct 23, 2015 and some other prior dates, tor is included in two places: fedora updates and official tor repos)

Actual results:
this should not be. 

Expected results:
exclusions and non-free repo data if present needs to be copied over to the installation root during install. Some packages can provide these repo files post install or the data can be assembled from the kickstart.
Comment 1 Jaroslav Mracek 2015-10-26 09:01:15 EDT
The key part is in Expected results.

This is problem of anaconda.
Comment 2 David Shea 2015-10-26 09:39:21 EDT
Are you specifying these inclusions through kickstart? Please attach the logs from the installation to this bug as individual, text/plain attachments. The logs are available in /var/log/anaconda in the installed system, or /tmp while the installer is running.
Comment 3 Richard Jasmin 2015-10-30 03:34:58 EDT
yes, explicitly.FUDGE!
because of bug# 1254291 I cant give you this information.
I can re-spin said ISO to give you the installer logs.
I can give you the kickstarts, however.
Comment 4 Richard Jasmin 2015-10-30 03:41 EDT
Created attachment 1087827 [details]
my OS kickstart-21-22 with multiple DEs

explicity removes: tor,openssl,openssl-libs,openssl-devel,openssl*

#autoprobed based on whats running. kickstart for 23 hard specifies.

repo --name=fedora --mirrorlist=http://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=$basearch 

# tor might conflict from time to time.Use the files from tor project.
# Why Openssl you ask? Because we want the official "FULL" version, not Fedoras hobbled one.

repo --name=updates --mirrorlist=http://mirrors.fedoraproject.org/metalink?repo=updates-released-f$releasever&arch=$basearch --exclude=tor,openssl,openssl-libs,openssl-devel,openssl*

could it be I need to exclude on both repos? Updates conflicts with torproject.
Comment 5 David Shea 2015-10-30 08:47:34 EDT
Using dnf, exclude was not written to the installed system until https://github.com/rhinstaller/anaconda/commit/c976a0122fe78a4c3936b2a180672314f4f1c85d, which is included in F23.

Note You need to log in before you can comment on or make changes to this bug.